package com.chenyang.nse.bussiness.tools.engine.mapplet;

import java.io.Serializable;

public class SubstitutionInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   private String tablename;
   private String columnname;
   private String inputport;
   private String dictcolumn;
   private String isKeyMasked;
   private String isOutputUnique;
   private String uniqueColumn;

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getInputport() {
      return this.inputport;
   }

   public void setInputport(String inputport) {
      this.inputport = inputport;
   }

   public String getDictcolumn() {
      return this.dictcolumn;
   }

   public void setDictcolumn(String dictcolumn) {
      this.dictcolumn = dictcolumn;
   }

   public String getIsKeyMasked() {
      return this.isKeyMasked;
   }

   public void setIsKeyMasked(String isKeyMasked) {
      this.isKeyMasked = isKeyMasked;
   }

   public String getIsOutputUnique() {
      return this.isOutputUnique;
   }

   public void setIsOutputUnique(String isOutputUnique) {
      this.isOutputUnique = isOutputUnique;
   }

   public String getUniqueColumn() {
      return this.uniqueColumn;
   }

   public void setUniqueColumn(String uniqueColumn) {
      this.uniqueColumn = uniqueColumn;
   }

   public static long getSerialversionuid() {
      return 1L;
   }
}
